## mingw-w64-paraview-5.13.0-1.src.tar.zst

=== Documentation/CMakeLists.txt ===
file(MAKE_DIRECTORY ${PARAVIEW_GENERATED_DOCUMENTATION_OUTPUT_DIRECTORY})

#---------------------------------------------------------------------------------
# add a txt file to indicate which source version the documentation was
# generated for.
file(GENERATE
  OUTPUT "${PARAVIEW_GENERATED_DOCUMENTATION_OUTPUT_DIRECTORY}/version.txt"
  CONTENT "${PARAVIEW_VERSION_FULL}\n")

#---------------------------------------------------------------------------------
# add a custom command to package the documentations into a tarball that's
# easy to move around.
add_custom_target(ParaViewDoc-TGZ
  COMMAND
    ${CMAKE_COMMAND} -E tar cfz
    ${CMAKE_CURRENT_BINARY_DIR}/ParaViewGeneratedDocs.tar.gz
    ${PARAVIEW_GENERATED_DOCUMENTATION_OUTPUT_DIRECTORY}
  WORKING_DIRECTORY ${PARAVIEW_GENERATED_DOCUMENTATION_OUTPUT_DIRECTORY}/..
  COMMENT "Generate ParaViewGeneratedDocs.tar.gz")

add_dependencies(ParaViewDoc-TGZ ParaViewDoxygenDoc)
if (TARGET ParaViewPythonDoc)
  add_dependencies(ParaViewDoc-TGZ ParaViewPythonDoc)
endif ()

=== Adaptors/Pagosa/CMakeLists.txt ===
enable_language(Fortran)
include(FortranCInterface)

FortranCInterface_HEADER(PagosaAdaptorAPIMangling.h SYMBOLS
  setcoprocessorgeometry
  setgridgeometry
  addgridfield
  setmarkergeometry
  addmarkerscalarfield addmarkervectorfield addmarkertensorfield)

set(headers
  PagosaAdaptor.h
)

set(private_headers
  "${CMAKE_CURRENT_BINARY_DIR}/PagosaAdaptorAPIMangling.h"
)

set(sources
  PagosaAdaptor.cxx
)

vtk_module_add_module(ParaView::AdaptorsPagosa
  SPDX_SKIP_REGEX   "PagosaAdaptorAPIMangling.h"
  HEADERS           ${header}
  PRIVATE_HEADERS   ${private_headers}
  SOURCES           ${sources}
)
vtk_module_client_server_exclude()

=== Plugins/NetCDFTimeAnnotationPlugin/CMakeLists.txt ===
paraview_add_plugin(NetCDFTimeAnnotationPlugin
  REQUIRED_ON_CLIENT
  REQUIRED_ON_SERVER
  VERSION             "1.0"
  SERVER_MANAGER_XML  NetCDFTimeAnnotation.xml)

include(ParaViewFindPythonModules)

# First look for the module cftime
find_python_module(cftime module_found)
if (module_found)
  set(module_name "cftime")
else ()
  # If cftime is not found, search for netcdftime
  find_python_module(netcdftime module_found)
  if (module_found)
    set(module_name "netcdftime")
  endif ()
endif ()

if (module_found)
  set_property(GLOBAL APPEND
    PROPERTY
      vtk_required_python_modules "${module_name}")
  if (BUILD_TESTING)
    add_subdirectory(Testing)
  endif ()
else ()
  message(FATAL_ERROR
    "The Python module cftime (preferred) or netcdftime is required to build this plugin.")
endif ()

=== Plugins/NodeEditor/CMakeLists.txt ===
list(INSERT CMAKE_MODULE_PATH 0
  "${CMAKE_CURRENT_SOURCE_DIR}/CMake")

set(interfaces)
set(sources)

list(APPEND sources
  pqNodeEditorAnnotationItem.h
  pqNodeEditorAnnotationItem.cxx
  pqNodeEditorUtils.h
  pqNodeEditorUtils.cxx
  pqNodeEditorNode.h
  pqNodeEditorNode.cxx
  pqNodeEditorNSource.h
  pqNodeEditorNSource.cxx
  pqNodeEditorNRepresentation.h
  pqNodeEditorNRepresentation.cxx
  pqNodeEditorNView.h
  pqNodeEditorNView.cxx
  pqNodeEditorPort.h
  pqNodeEditorPort.cxx
  pqNodeEditorEdge.h
  pqNodeEditorEdge.cxx
  pqNodeEditorWidget.cxx
  pqNodeEditorWidget.h
  pqNodeEditorView.cxx
  pqNodeEditorView.h
  pqNodeEditorScene.cxx
  pqNodeEditorScene.h
  pqNodeEditorLabel.cxx
  pqNodeEditorLabel.h
)

paraview_plugin_add_dock_window(
  CLASS_NAME pqNodeEditorWidget
  DOCK_AREA Right
  INTERFACES dock_interfaces
  SOURCES dock_sources)
list(APPEND interfaces
  ${dock_interfaces})
list(APPEND sources
  ${dock_sources})

paraview_add_plugin(NodeEditor
  REQUIRED_ON_CLIENT
  VERSION "1.0"
  UI_INTERFACES ${interfaces}
  SOURCES ${sources})

option(NodeEditor_ENABLE_AUTOLAYOUT "Enable auto layout for the node editor. Needs Graphviz." OFF)
mark_as_advanced(NodeEditor_ENABLE_AUTOLAYOUT)
if(NodeEditor_ENABLE_AUTOLAYOUT)
  find_package(Graphviz REQUIRED)
  target_link_libraries(NodeEditor
    PRIVATE
      Graphviz::cgraph
      Graphviz::gvc)
endif()

set_property(SOURCE pqNodeEditorScene.cxx APPEND
  PROPERTY
    COMPILE_DEFINITIONS "NodeEditor_ENABLE_GRAPHVIZ=$<BOOL:${NodeEditor_ENABLE_AUTOLAYOUT}>")
target_link_libraries(NodeEditor
  PRIVATE
    ParaView::RemotingViews
    ParaView::pqApplicationComponents
)
target_compile_definitions(NodeEditor PRIVATE QT_NO_KEYWORDS)

if (BUILD_TESTING)
  add_subdirectory(Testing)
endif ()

=== Plugins/SpaceMouseInteractor/CMakeLists.txt ===
# so we can use our local Find3DxWareSDK.cmake
list(INSERT CMAKE_MODULE_PATH 0
  "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
set(interfaces)
set(sources)

list(APPEND sources
  pqSpaceMouseAutoStart.cxx
  pqSpaceMouseAutoStart.h)
paraview_plugin_add_auto_start(
  CLASS_NAME pqSpaceMouseAutoStart
  INTERFACES autostart_interface
  SOURCES autostart_sources)
list(APPEND interfaces
  ${autostart_interface})
list(APPEND sources
  ${autostart_sources})

if (WIN32 OR APPLE)
  list(APPEND sources
    pqSpaceMouseImpl.cxx
    pqSpaceMouseImpl.h)
  find_package(3DxWareSDK REQUIRED)
else ()
  # this is a do-nothing implementation until 3DConnexion releases support.
  list(APPEND sources
    pqSpaceMouseImplLinux.cxx
    pqSpaceMouseImplLinux.h)
endif ()

# support std::make_unique
set(CMAKE_CXX_STANDARD 14)

paraview_add_plugin(SpaceMouseInteractor
  REQUIRED_ON_CLIENT
  VERSION       "1.0"
  EULA "LicenseAgreementSDK.txt"
  DOCUMENTATION_DIR "${CMAKE_CURRENT_SOURCE_DIR}/doc"
  UI_INTERFACES ${interfaces}
  SOURCES       ${sources})

# support __declspec(property) on Mac
target_compile_options(SpaceMouseInteractor
  PRIVATE
    "$<$<COMPILE_LANG_AND_ID:CXX,AppleClang,Clang>:-fdeclspec>")

target_link_libraries(SpaceMouseInteractor
  PRIVATE
    ParaView::RemotingApplication
    ParaView::RemotingCore
    ParaView::RemotingServerManager
    ParaView::RemotingViews
    ParaView::pqApplicationComponents)
if (WIN32 OR APPLE)
  target_link_libraries(SpaceMouseInteractor
    PRIVATE
      3Dconnexion::3DxWareSDK)
endif ()
target_compile_definitions(SpaceMouseInteractor PRIVATE QT_NO_KEYWORDS)

=== VTKExtensions/InteractionStyle/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright (c) Kitware Inc.
# SPDX-FileCopyrightText: Copyright (c) Sandia Corporation
# SPDX-License-Identifier: BSD-3-Clause
set(classes
  vtkCameraManipulator
  vtkCameraManipulatorGUIHelper
  vtkPVInteractorStyle
  vtkPVJoystickFly
  vtkPVJoystickFlyIn
  vtkPVJoystickFlyOut
  vtkPVTrackballMoveActor
  vtkPVTrackballMultiRotate
  vtkPVTrackballPan
  vtkPVTrackballRoll
  vtkPVTrackballRotate
  vtkPVTrackballEnvironmentRotate
  vtkPVTrackballZoom
  vtkPVTrackballZoomToMouse
  vtkTrackballPan)

vtk_module_add_module(ParaView::VTKExtensionsInteractionStyle
  CLASSES ${classes})

=== Examples/Plugins/AddToProxyGroupXMLOnly/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.8)
project(AddToProxyGroupXMLOnly)

find_package(ParaView REQUIRED)

option(BUILD_SHARED_LIBS "Build shared libraries" ON)
enable_testing()

include(GNUInstallDirs)
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/${CMAKE_INSTALL_BINDIR}")
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/${CMAKE_INSTALL_LIBDIR}")
set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/${CMAKE_INSTALL_LIBDIR}")

set("_paraview_plugin_default_${PROJECT_NAME}" ON)
paraview_plugin_scan(
  PLUGIN_FILES      "${CMAKE_CURRENT_SOURCE_DIR}/Plugin/paraview.plugin"
  PROVIDES_PLUGINS  plugins
  REQUIRES_MODULES  required_modules)

foreach (module IN LISTS required_modules)
  if (NOT TARGET "${module}")
    message(#FATAL_ERROR
      "Skipping example ${PROJECT_NAME}: Missing required module: "
      "${module}")
    return ()
  endif ()
endforeach ()

paraview_plugin_build(
  RUNTIME_DESTINATION "${CMAKE_INSTALL_BINDIR}"
  LIBRARY_DESTINATION "${CMAKE_INSTALL_LIBDIR}"
  LIBRARY_SUBDIRECTORY "${PARAVIEW_PLUGIN_SUBDIR}"
  PLUGINS ${plugins})

=== Plugins/CDIReader/Reader/CMakeLists.txt ===
set(classes
  vtkCDIReader)

set (sources
    cdi_tools.cxx
    projections.cxx
    )
set (private_headers
    cdi_tools.h
    projections.h)

vtk_module_add_module(CDIReader::vtkCDIReader
  CLASSES ${classes}
  SOURCES ${sources}
  PRIVATE_HEADERS ${private_headers}
)

vtk_module_find_package(
  PACKAGE CDI
  VERSION 2.1.0
  )

vtk_module_link(CDIReader::vtkCDIReader
  PRIVATE
  CDI::CDI)

paraview_add_server_manager_xmls(
  XMLS  CDIReader.xml)

=== VTK/Filters/ParallelDIY2/CMakeLists.txt ===
vtk_object_factory_declare(
  BASE      vtkResampleToImage
  OVERRIDE  vtkPResampleToImage)
vtk_object_factory_declare(
  BASE      vtkResampleWithDataSet
  OVERRIDE  vtkPResampleWithDataSet)

set(classes
  vtkAdaptiveResampleToImage
  vtkExtractSubsetWithSeed
  vtkGenerateGlobalIds
  vtkGhostCellsGenerator
  vtkNativePartitioningStrategy
  vtkOverlappingCellsDetector
  vtkPartitioningStrategy
  vtkPResampleToImage
  vtkPResampleWithDataSet
  vtkProbeLineFilter
  vtkRedistributeDataSetFilter
  vtkStitchImageDataWithGhosts)

set(nowrap_classes
  vtkDIYKdTreeUtilities)

if (TARGET VTK::ParallelMPI)
  # FIXME: vtkDIYAggregateDataSetFilter should not require MPI
  # current implementation does (ref: paraview/paraview#19098)
  vtk_object_factory_declare(
    BASE      vtkAggregateDataSetFilter
    OVERRIDE  vtkDIYAggregateDataSetFilter)
  list(APPEND classes
    vtkDIYAggregateDataSetFilter)
endif()

vtk_object_factory_configure(
  SOURCE_FILE vtk_object_factory_source
  HEADER_FILE vtk_object_factory_header
  EXPORT_MACRO "VTKFILTERSPARALLELDIY2_EXPORT")

vtk_module_add_module(VTK::FiltersParallelDIY2
  CLASSES ${classes}
  NOWRAP_CLASSES ${nowrap_classes}
  SOURCES ${vtk_object_factory_source}
  PRIVATE_HEADERS ${vtk_object_factory_header})
vtk_add_test_mangling(VTK::FiltersParallelDIY2)

=== VTK/Rendering/CellGrid/CMakeLists.txt ===
set(classes
  vtkDGRenderResponder
  vtkOpenGLCellGridMapper
  vtkRenderingCellGrid
)

set(sources)
set(private_headers)

set(shader_files
  glsl/vtkCellGridShaderBases.glsl
  glsl/vtkCellGridShaderCommonDefs.glsl
  glsl/vtkCellGridShaderFragment.glsl
  glsl/vtkCellGridShaderTessellationControl.glsl
  glsl/vtkCellGridShaderTessellationDebugGeometry.glsl
  glsl/vtkCellGridShaderTessellationEvaluation.glsl
  glsl/vtkCellGridShaderUtil.glsl
  glsl/vtkCellGridShaderVertex.glsl
)
unset(shader_h_files)
foreach(file IN LISTS shader_files)
  vtk_encode_string(
    INPUT         "${file}"
    EXPORT_SYMBOL "VTKRENDERINGCELLGRID_NO_EXPORT"
    EXPORT_HEADER "vtkRenderingCellGridModule.h"
    HEADER_OUTPUT header
    SOURCE_OUTPUT source
  )
  list(APPEND sources "${source}")
  list(APPEND private_headers "${header}")
endforeach()

# setup factory overrides
set(opengl_overrides
  CellGridMapper
)

foreach (opengl_override IN LISTS opengl_overrides)
  vtk_object_factory_declare(
    BASE "vtk${opengl_override}"
    OVERRIDE "vtkOpenGL${opengl_override}")
endforeach ()

vtk_object_factory_configure(
  SOURCE_FILE vtk_object_factory_source
  HEADER_FILE vtk_object_factory_header
  EXPORT_MACRO "VTKRENDERINGCELLGRID_EXPORT")

vtk_module_add_module(VTK::RenderingCellGrid
  CLASSES ${classes}
  SOURCES ${sources} ${vtk_object_factory_source}
  HEADERS ${headers}
  NOWRAP_HEADERS ${nowrap_headers}
  PRIVATE_HEADERS ${private_headers} ${vtk_object_factory_header}
)
vtk_add_test_mangling(VTK::RenderingCellGrid)

=== VTK/Serialization/Manager/CMakeLists.txt ===
set(classes
  vtkObjectManager)

get_property(_vtk_serialization_manager_public_deps GLOBAL
  PROPERTY "_vtk_module_VTK::SerializationManager_depends")
get_property(_vtk_serialization_manager_optional_deps GLOBAL
  PROPERTY "_vtk_module_VTK::SerializationManager_optional_depends")

set (_vtk_serdes_modules)
foreach (_vtk_serdes_module IN LISTS vtk_modules) # Comes from top-level CMakeLists.txt
  if (NOT TARGET "${_vtk_serdes_module}")
    continue ()
  endif ()
  _vtk_module_get_module_property("${_vtk_serdes_module}"
    PROPERTY  "include_marshal"
    VARIABLE  _vtk_serdes_module_include_marshal)
  if (NOT _vtk_serdes_module_include_marshal)
    continue ()
  endif ()
  if (NOT "${_vtk_serdes_module}" IN_LIST _vtk_serialization_manager_optional_deps 
      AND NOT "${_vtk_serdes_module}" IN_LIST _vtk_serialization_manager_public_deps)
    message(FATAL_ERROR
      "${_vtk_serdes_module} has `INCLUDE_MARSHAL` but it is not a dependency of VTK::SerializationManager")
  endif ()
  list(APPEND _vtk_serdes_modules "${_vtk_serdes_module}")
endforeach ()

set(_vtk_serdes_registrar_source
  "${CMAKE_CURRENT_BINARY_DIR}/vtkObjectManagerDefaultRegistrar.cxx")

vtk_module_generate_libraries_serdes_registrar(
  REGISTRAR_NAME      "vtkObjectManagerDefaultSerDes"
  REGISTRAR_SOURCE    "${_vtk_serdes_registrar_source}"
  MANDATORY_MODULES   ${_vtk_serialization_manager_public_deps}
  OPTIONAL_MODULES    ${_vtk_serialization_manager_optional_deps})

vtk_module_add_module(VTK::SerializationManager
  CLASSES ${classes}
  SOURCES ${_vtk_serdes_registrar_source})

vtk_add_test_mangling(VTK::SerializationManager)

=== VTK/ThirdParty/exodusII/CMakeLists.txt ===
vtk_module_third_party_internal(
  LICENSE_FILES
    "vtkexodusII/COPYRIGHT"
  SPDX_LICENSE_IDENTIFIER
    "BSD-3-Clause"
  SPDX_COPYRIGHT_TEXT
    "Copyright (c) 2005-2017 National Technology & Engineering Solutions of Sandia, LLC (NTESS)"
  SPDX_DOWNLOAD_LOCATION
    "git+https://gitlab.kitware.com/third-party/seacas.git@exodus/for/vtk-20240628-master-gaeee5aa1#packages/seacas/libraries/exodus"
  VERSION
    "9.3f"
  STANDARD_INCLUDE_DIRS)

#configure_file(
#  "${CMAKE_CURRENT_SOURCE_DIR}/vtk_exodusII.h.in"
#  "${CMAKE_CURRENT_BINARY_DIR}/vtk_exodusII.h")

vtk_module_install_headers(
#  FILES "${CMAKE_CURRENT_BINARY_DIR}/vtk_exodusII.h")
  FILES "${CMAKE_CURRENT_SOURCE_DIR}/vtk_exodusII.h")

=== PKGBUILD ===
# Contributor: Mehdi Chinoune <mehdi.chinoune@hotmail.com>

_realname=paraview
pkgbase=mingw-w64-${_realname}
pkgname=("${MINGW_PACKAGE_PREFIX}-${_realname}")
pkgver=5.13.0
pkgrel=1
pkgdesc="Parallel Data Analysis and Visualization Application based on VTK. (mingw-w64)"
arch=('any')
mingw_arch=('mingw64' 'ucrt64' 'clang64' 'clangarm64')
url='https://www.paraview.org/'
msys2_repository_url="https://gitlab.kitware.com/paraview/paraview"
msys2_references=(
  'archlinux: paraview'
)
license=('spdx:BSD-3-Clause')
depends=("${MINGW_PACKAGE_PREFIX}-gcc-libs"
         "${MINGW_PACKAGE_PREFIX}-double-conversion"
         "${MINGW_PACKAGE_PREFIX}-cgns"
         "${MINGW_PACKAGE_PREFIX}-expat"
         "${MINGW_PACKAGE_PREFIX}-fmt"
         "${MINGW_PACKAGE_PREFIX}-gdal"
         "${MINGW_PACKAGE_PREFIX}-gl2ps"
         "${MINGW_PACKAGE_PREFIX}-glew"
         "${MINGW_PACKAGE_PREFIX}-hdf5"
         "${MINGW_PACKAGE_PREFIX}-jsoncpp"
         "${MINGW_PACKAGE_PREFIX}-libjpeg-turbo"
         "${MINGW_PACKAGE_PREFIX}-libogg"
         "${MINGW_PACKAGE_PREFIX}-liblas"
         "${MINGW_PACKAGE_PREFIX}-libpng"
         "${MINGW_PACKAGE_PREFIX}-libtheora"
         "${MINGW_PACKAGE_PREFIX}-libtiff"
         "${MINGW_PACKAGE_PREFIX}-libxml2"
         "${MINGW_PACKAGE_PREFIX}-lz4"
         "${MINGW_PACKAGE_PREFIX}-netcdf"
         "${MINGW_PACKAGE_PREFIX}-openturns"
         "${MINGW_PACKAGE_PREFIX}-pdal"
         #"${MINGW_PACKAGE_PREFIX}-pegtl" https://gitlab.kitware.com/vtk/vtk/-/issues/18151
         "${MINGW_PACKAGE_PREFIX}-protobuf"
         "${MINGW_PACKAGE_PREFIX}-python"
         "${MINGW_PACKAGE_PREFIX}-pugixml"
         "${MINGW_PACKAGE_PREFIX}-qt5-base"
         "${MINGW_PACKAGE_PREFIX}-qt5-svg"
         "${MINGW_PACKAGE_PREFIX}-qt5-tools"
         "${MINGW_PACKAGE_PREFIX}-tbb"
         $([[ ${MSYSTEM} == MINGW64 ]] || echo "${MINGW_PACKAGE_PREFIX}-verdict")
         "${MINGW_PACKAGE_PREFIX}-xz"
         "${MINGW_PACKAGE_PREFIX}-libwinpthread-git"
         "${MINGW_PACKAGE_PREFIX}-zlib")
makedepends=("${MINGW_PACKAGE_PREFIX}-cc"
             "${MINGW_PACKAGE_PREFIX}-cmake"
             "${MINGW_PACKAGE_PREFIX}-ninja"
             "${MINGW_PACKAGE_PREFIX}-qt5-xmlpatterns"
             "${MINGW_PACKAGE_PREFIX}-python-numpy"
             "${MINGW_PACKAGE_PREFIX}-cli11"
             "${MINGW_PACKAGE_PREFIX}-eigen3"
             "${MINGW_PACKAGE_PREFIX}-fast_float"
             "${MINGW_PACKAGE_PREFIX}-libharu"
             "${MINGW_PACKAGE_PREFIX}-nlohmann-json"
             "${MINGW_PACKAGE_PREFIX}-utf8cpp")
optdepends=("${MINGW_PACKAGE_PREFIX}-python-numpy"
            "${MINGW_PACKAGE_PREFIX}-python-matplotlib")
source=("https://www.paraview.org/files/v${pkgver%.*}/ParaView-v${pkgver}.tar.xz"
        "001-dll-export-some-vtk-functions.patch"
        "002-no-exact-version-for-fast_float.patch"
        "003-CellAttribute-Fix-mingw-build.patch::https://gitlab.kitware.com/vtk/vtk/-/commit/5a7de249.patch")
sha256sums=('886f530bebd6b24c6a7f8a5f4b1afa72c53d4737ccaa4b5fd5946b4e5a758c91'
            'a9b9292be90c259f0aa058e3f4a7a08b6218f20e6cb2a71e214acda2d2302a50'
            '411b0521fcd2864acae0af20ba6334f69f7c605c9e31996529f64aa749d61065'
            '784d9345ebb1a83841970df34d743344189604457270df0f594669639a718ec8')

apply_patch_with_msg() {
  for _patch in "$@"
  do
    msg2 "Applying ${_patch}"
    patch -Nbp1 -i "${srcdir}/${_patch}"
  done
}

prepare() {
  cd "${srcdir}"/ParaView-v${pkgver}

  cd VTK
  if [[ ${MINGW_PACKAGE_PREFIX} == *-clang-* ]]; then
    # Copied from mingw-w64-vtk/007-dll-export-some-functions.patch
    apply_patch_with_msg \
      001-dll-export-some-vtk-functions.patch
  fi

  apply_patch_with_msg \
    002-no-exact-version-for-fast_float.patch \
    003-CellAttribute-Fix-mingw-build.patch
}

build() {
  mkdir -p "${srcdir}/build-${MSYSTEM}" && cd "${srcdir}/build-${MSYSTEM}"

  declare -a _extra_config
  if check_option "debug" "n"; then
    _extra_config+=("-DCMAKE_BUILD_TYPE=Release")
  else
    _extra_config+=("-DCMAKE_BUILD_TYPE=Debug")
  fi

  if [[ ${MSYSTEM} == MINGW64 ]]; then
    _extra_config+=("-DVTK_MODULE_USE_EXTERNAL_VTK_verdict=OFF")
  fi

  _pyver=$(${MINGW_PREFIX}/bin/python -c "import sys; print(f'{sys.version_info.major}.{sys.version_info.minor}')")

  CXXFLAGS+=" -w -Wno-register" \
  MSYS2_ARG_CONV_EXCL="-DCMAKE_INSTALL_PREFIX=" \
    "${MINGW_PREFIX}"/bin/cmake.exe -Wno-dev \
      -GNinja \
      -DCMAKE_INSTALL_PREFIX="${MINGW_PREFIX}" \
      "${_extra_config[@]}" \
      -DPARAVIEW_BUILD_SHARED_LIBS=ON \
      -DPARAVIEW_USE_PYTHON=ON \
      -DPARAVIEW_USE_QT=ON \
      -DPARAVIEW_USE_MPI=OFF \
      -DPARAVIEW_ENABLE_GDAL=ON \
      -DPARAVIEW_ENABLE_LAS=ON \
      -DPARAVIEW_ENABLE_OPENTURNS=ON \
      -DPARAVIEW_ENABLE_PDAL=ON \
      -DPARAVIEW_VERSIONED_INSTALL=OFF \
      -DPARAVIEW_CUSTOM_LIBRARY_SUFFIX="pv${pkgver%.*}" \
      -DPARAVIEW_BUILD_WITH_EXTERNAL=ON \
      -DPARAVIEW_PYTHON_SITE_PACKAGES_SUFFIX="lib/python${_pyver}/site-packages/pv/" \
      -DPARAVIEW_IGNORE_CMAKE_CXX11_CHECKS=ON \
      -DVTK_SMP_IMPLEMENTATION_TYPE=TBB \
      -DVTK_MODULE_USE_EXTERNAL_VTK_exprtk=OFF \
      -DVTK_MODULE_USE_EXTERNAL_VTK_ioss=OFF \
      -DVTK_MODULE_USE_EXTERNAL_VTK_pegtl=OFF \
      -DVTK_MODULE_USE_EXTERNAL_VTK_token=OFF \
      -DPython3_EXECUTABLE=${MINGW_PREFIX}/bin/python.exe \
      ../ParaView-v${pkgver}

  "${MINGW_PREFIX}"/bin/cmake.exe --build .
}

package() {
  cd "${srcdir}/build-${MSYSTEM}"

  DESTDIR="${pkgdir}" "${MINGW_PREFIX}"/bin/cmake.exe --install .

  MSYS2_ARG_CONV_EXCL="-p" python -m compileall \
    -o 0 -o 1 -q -s"${pkgdir}" -p"/" "${pkgdir}${MINGW_PREFIX}/lib/python"*

  install -Dm644 "${srcdir}/ParaView-v${pkgver}/Copyright.txt" "${pkgdir}${MINGW_PREFIX}/share/licenses/${_realname}/LICENSE"
}
